part of 'vrchat_dart.dart';

/// Shared code between the web and native implementations
abstract class VrchatDartImplBase {
  /// Access to the raw generated API
  final VrchatDartGenerated rawApi;

  /// Access to auth convenience methods
  final Auth auth;

  /// DO NOT INSTANTIATE
  VrchatDartImplBase(this.rawApi) : this.auth = Auth(rawApi);
}
